[DEFAULT]
# All sections below are required unless otherwise specified
lib_name = incendio
user = hdmamin
description = A mini-library of PyTorch utilities, wrappers, and miscellaneous tools for deep learning.
keywords = PyTorch, deep learning, machine learning
author = Harrison Mamin
author_email = hmamin55@gmail.com
copyright = Harrison Mamin 
branch = master
version = 0.2.0
min_python = 3.6
audience = Developers
language = English
# Set to True if you want to create a more fancy sidebar.json than the default
custom_sidebar = False
# Add licenses and see current list in `setup.py`
license = apache2
# From 1-7: Planning Pre-Alpha Alpha Beta Production Mature Inactive
status = 2

# Optional. Same format as setuptools requirements
requirements = matplotlib numpy pandas tabulate torch accio htools
# Optional. Same format as setuptools console_scripts
# console_scripts = 

###
# You probably won't need to change anything under here,
#   unless you have some special requirements
###

# Change to, e.g. "nbs", to put your notebooks in nbs dir instead of repo root
nbs_path = notebooks
doc_path = docs

# Anything shown as '%(...)s' is substituted with that setting automatically
doc_host =  https://%(user)s.github.io
doc_baseurl = /%(lib_name)s/
git_url = https://github.com/%(user)s/%(lib_name)s/tree/%(branch)s/
lib_path = %(lib_name)s
title = %(lib_name)s

#Optional advanced parameters
#Monospace docstings: adds <pre> tags around the doc strings, preserving newlines/indentation.
monospace_docstrings = True
#Test flags: introduce here the test flags you want to use separated by |
#tst_flags = 
#Custom sidebar: customize sidebar.json yourself for advanced sidebars (False/True)
#custom_sidebar = 
#Cell spacing: if you want cell blocks in code separated by more than one new line
cell_spacing = 2
#Custom jekyll styles: if you want more jekyll styles than tip/important/warning, set them here
#jekyll_styles = note,warning,tip,important
